package com.lyg.application.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;

 /**
 * 发送消息;
 * @author : http://www.chiner.pro
 * @date : 2024-3-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "发送消息",description = "")
@TableName("ta_sending")
public class TaSending implements Serializable,Cloneable{
    
    @ApiModelProperty(name = "发送消息id",notes = "")
    @TableId(value = "sending_id", type = IdType.ASSIGN_UUID)
    private String sendingId ;
    
    @ApiModelProperty(name = "消息id",notes = "")
    private String messageId ;
    
    @ApiModelProperty(name = "接收人id",notes = "")
    private String recipientId ;
    
    @ApiModelProperty(name = "1 已读 0未读",notes = "")
    private Integer isRead ;
    
    @ApiModelProperty(name = "1 已处理 0未处理",notes = "")
    private Integer isHandle ;
    
    @ApiModelProperty(name = "状态 1正常 0不正常",notes = "")
    private Integer status ;
    
    @ApiModelProperty(name = "创建人",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createUser ;
    
    @ApiModelProperty(name = "创建时间",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate ;
    
    @ApiModelProperty(name = "更新人",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUser ;
    
    @ApiModelProperty(name = "更新时间",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateDate ;
    
    @ApiModelProperty(name = "删除标志",notes = "1删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}