package com.lyg.application.util;

import com.alibaba.excel.metadata.Head;
import com.alibaba.excel.write.merge.AbstractMergeStrategy;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.util.CellRangeAddress;

public class CommMergeStrategy extends AbstractMergeStrategy {

    CellRangeAddress cellRangeAddress;

    public CommMergeStrategy(CellRangeAddress cellRangeAddress) {
        this.cellRangeAddress = cellRangeAddress;
    }

    @Override
    protected void merge(Sheet sheet, Cell cell, Head head, Integer integer) {
        if (cell.getRowIndex() == cellRangeAddress.getFirstRow() && cell.getColumnIndex() == cellRangeAddress.getFirstColumn()) {
            // 文字居中
            CellStyle style = cell.getCellStyle();
            style.setAlignment(HorizontalAlignment.CENTER);
            // 合并单元格
            sheet.addMergedRegionUnsafe(cellRangeAddress);
        }
    }
}
