package com.lyg.common.util;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.File;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

@Component
public class FileUtil {

    @Value("${yz.upload.path}")
    String uploadPath;

    public String getUploadPath() {
        File tmp = new File(uploadPath);
        if (!tmp.exists()) {
            tmp.mkdir();
        }

        return uploadPath;
    }

    public String getMonth() {
        LocalDateTime now = LocalDateTime.now();
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM");
        return now.format(formatter);
    }

    // 保存文件
    public String saveFile(File file, String fileName) throws Exception {
        String uploadRootPath = getUploadPath();
        String monthStr = getMonth();

        // 上传目录
        String upPath = String.format("%s/%s", uploadRootPath, monthStr);
        File tmp = new File(upPath);
        if (!tmp.exists()) {
            tmp.mkdir();
        }

        String newFileName = String.format("%d-%s", System.currentTimeMillis(), fileName);
        String newFilePath = String.format("%s/%s", upPath, newFileName);
        if (!file.renameTo(new File(newFilePath))) {
            throw new Exception("保存文件失败");
        };

        // 返回值 去掉根目录
        return String.format("%s/%s", monthStr, newFileName);
    }

}
