package com.lyg.system.controller;

import cn.dev33.satoken.stp.StpUtil;
import com.lyg.common.Constants;
import com.lyg.common.util.StringUtil;
import com.lyg.system.entity.SysUser;
import com.lyg.system.service.SysUserService;
import com.lyg.system.service.request.Fetch;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.time.LocalDateTime;

@Component
public class BaseController {

    @Autowired
    protected SysUserService sysUserService;

    @Autowired
    protected Fetch fetch;

    @Resource
    HttpServletRequest request;

    /**
     * 数据权限校验
     */

    @SneakyThrows
    public String checkAuth() {
        SysUser sysUser = currentUser();
        Integer isAdmin = sysUser.getIsAdmin();
        if (isAdmin != 1 || isAdmin == null) {
            return sysUser.getUserId();
        }
        return null;
    }

    /**
     * 获取当前用户
     *
     * @return
     * @throws Exception
     */
    public SysUser currentUser() throws Exception {
        String loginId = StpUtil.getLoginIdAsString();
        if (StringUtil.isEmpty(loginId)) {
            throw new Exception("请先登录");
        }
        sysUserService.getById(loginId);

        SysUser user = sysUserService.getById(loginId);

        // 如果是管理员
        if (Constants.ROOT_ID.equals(loginId)) {
            if (null == user) {
                user = new SysUser();
                user.setUserId(Constants.ROOT_ID);
                user.setName("超级管理员");
                user.setStatus(Constants.STATUS_NORMAL);
                user.setCreateUser("system");
                user.setCreateDate(LocalDateTime.now());
                user.setUpdateUser("system");
                user.setUpdateDate(LocalDateTime.now());
                sysUserService.save(user);
            }
        }

        if (user == null || user.getStatus() == Constants.STATUS_DELETE) {
            return null;
        }

        return user;
    }

    /**
     * 获取行信端当前用户
     *
     * @return
     * @throws Exception
     */
    public SysUser currentHxUser() throws Exception {
        SysUser sysUser = (SysUser) request.getAttribute("user");
        if (null == sysUser) {
            throw new Exception("未发现 EHR 账号");
        }
        return sysUser;
    }


//    /**
//     * 获取 行信端 当前用户
//     * @return
//     * @throws Exception
//     */
//    public SysUser currentHxUser() throws Exception {
//        String ehr = request.getParameter("ehr");
//        if (StringUtil.isEmpty(ehr)) {
//            ehr = request.getParameter("hxId");
//        }
//
//        if (StringUtil.isEmpty(ehr)) {
//            throw new Exception("未发现 EHR 账号");
//        }
//
//        SysUser user = sysUserService.getByHxId(ehr);
//        if (user != null) {
//            return user;
//        }
//
//        Map<String, Object> map = new HashMap<>();
//        map.put("hxId", ehr);
//
//        String dtStr = fetch.get("/api/sso/loginH5", map).exec();
//        JSONObject data = JSONUtil.parseObj(dtStr);
//        JSONObject userJSON = data.getJSONObject("user");
//
//        user = new SysUser();
//        user.setUserId(userJSON.getStr("userId"));
//        user.setName(userJSON.getStr("name"));
//        user.setAvatar(userJSON.getStr("avatar"));
//        user.setPhone(userJSON.getStr("phone"));
//        user.setStatus(userJSON.getInt("status"));
//        user.setHxId(ehr);
//
//        return user;
//    }


}
