package com.lyg.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
* 系统日志;
* @author : http://www.chiner.pro
* @date : 2023-3-21
*/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "系统日志",description = "")
@TableName("sys_log")
public class SysLog implements Serializable,Cloneable{
   /** 日志ID */
   @ApiModelProperty(name = "日志ID",notes = "")
   @TableId(value = "log_id", type = IdType.ASSIGN_UUID)
   private String logId ;
   /** 登录ID */
   @ApiModelProperty(name = "登录ID",notes = "")
   private String loginId ;
   /** 用户名 */
   @ApiModelProperty(name = "用户名",notes = "")
   private String userName ;
   /** 客户端 */
   @ApiModelProperty(name = "客户端",notes = "")
   private String clientType ;
   /** 模块名称 */
   @ApiModelProperty(name = "模块名称",notes = "")
   private String moduleName ;
   /** 操作内容 */
   @ApiModelProperty(name = "操作内容",notes = "")
   private String action ;
   /** 访问地址 */
   @ApiModelProperty(name = "访问地址",notes = "")
   private String uri ;
   /** 具体操作 */
   @ApiModelProperty(name = "具体操作",notes = "")
   private String description ;
   /** 用户IP */
   @ApiModelProperty(name = "用户IP",notes = "")
   private String ip ;
   /** User Agent */
   @ApiModelProperty(name = "User Agent",notes = "")
   private String ua ;
   /** 操作时间 */
   @ApiModelProperty(name = "操作时间",notes = "")
   private LocalDateTime createDate ;

}