package com.lyg.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 菜单表;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-2-5
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "菜单表", description = "")
@TableName("sys_menu")
public class SysMenu implements Serializable, Cloneable {
    /**
     * 菜单ID
     */
    @ApiModelProperty(name = "菜单ID", notes = "")
    @TableId(value = "menu_id", type = IdType.ASSIGN_UUID)
    private String menuId;
    /**
     * 菜单名称
     */
    @ApiModelProperty(name = "菜单名称", notes = "")
    private String name;
    /**
     * 菜单编码
     */
    @ApiModelProperty(name = "菜单编码", notes = "")
    private String menuCode;
    /**
     * 上级ID
     */
    @ApiModelProperty(name = "上级ID", notes = "")
    private String parentId;
    /**
     * 排序
     */
    @ApiModelProperty(name = "排序", notes = "")
    private Integer sortNo;
    /**
     * 状态
     */
    @ApiModelProperty(name = "状态", notes = "")
    private Integer status;
    /**
     * 创建人
     */
    @ApiModelProperty(name = "创建人", notes = "")
    private String createUser;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    private LocalDateTime createDate;

}