package com.lyg.system.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.JdbcType;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 机构表;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-1-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "机构表", description = "")
@TableName("sys_org")
public class SysOrg implements Serializable, Cloneable {
    /**
     * 机构ID
     */
    @ApiModelProperty(name = "机构ID", notes = "")
    @TableId(value = "org_id", type = IdType.ASSIGN_UUID)
    private String orgId;
    /**
     * 机构编码
     */
    @ApiModelProperty(name = "机构编码", notes = "")
    private String orgCode;

    /**
     * 机构名称
     */
    @ApiModelProperty(name = "部门名称", notes = "")
    private String name;
    /**
     * 上级部门;-1为根级目录
     */
    @ApiModelProperty(name = "上级机构", notes = "-1为根级目录")
    private String parentId;

    @ApiModelProperty(name = "7天全班",notes = "")
    private Integer isSeven ;
    /**
     * 排序
     */
    @ApiModelProperty(name = "排序", notes = "")
    private Integer sortNo;
    /**
     * 状态
     */
    @ApiModelProperty(name = "状态", notes = "")
    private Integer status;

    @ApiModelProperty(name = "创建人",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createUser ;

    @ApiModelProperty(name = "创建时间",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate ;

    @ApiModelProperty(name = "更新人",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUser ;

    @ApiModelProperty(name = "更新时间",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateDate ;

    @ApiModelProperty(name = "删除标志",notes = "1删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}