package com.lyg.system.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 系统角色;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-2-5
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "系统角色", description = "")
@TableName("sys_role")
public class SysRole implements Serializable, Cloneable {
    /**
     * 角色ID
     */
    @ApiModelProperty(name = "角色ID", notes = "")
    @TableId(value = "role_id", type = IdType.ASSIGN_UUID)
    private String roleId;
    /**
     * 角色名称
     */
    @ApiModelProperty(name = "角色名称", notes = "")
    private String name;
    /**
     * 状态
     */
    @ApiModelProperty(name = "状态", notes = "")
    private Integer status;

    @ApiModelProperty(name = "创建人",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createUser ;

    @ApiModelProperty(name = "创建时间",notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate ;

    @ApiModelProperty(name = "更新人",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUser ;

    @ApiModelProperty(name = "更新时间",notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateDate ;

    @ApiModelProperty(name = "删除标志",notes = "1删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted ;

}