package com.lyg.system.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 用户表;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-1-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "用户表", description = "")
@TableName("sys_user")
public class SysUser implements Serializable, Cloneable {
    @ApiModelProperty(name = "角色列表", notes = "")
    @TableField(exist = false)
    List<SysRole> rolesList;
    @ApiModelProperty(name = "菜单列表", notes = "")
    @TableField(exist = false)
    List<SysMenu> menuList;
    /**
     * 用户ID
     */
    @ApiModelProperty(name = "用户ID", notes = "")
    @TableId(value = "user_id", type = IdType.ASSIGN_UUID)
    private String userId;
    /**
     * 用户名称
     */
    @ApiModelProperty(name = "用户名称", notes = "")
    private String name;
    /**
     * 头像
     */
    @ApiModelProperty(name = "头像", notes = "")
    private String avatar;
    /**
     * 手机
     */
    @ApiModelProperty(name = "手机", notes = "")
    private String phone;
    /**
     * 是否管理员 0否,1是
     */
    @ApiModelProperty(name = "是否管理员 0否,1是", notes = "")
    private Integer isAdmin;
    /**
     * 行信ID
     */
    @ApiModelProperty(name = "行信ID", notes = "")
    private String hxId;
    /**
     * 岗位ID
     */
    @ApiModelProperty(name = "岗位ID", notes = "")
    private String positionId;
    /**
     * 机构ID
     */
    @ApiModelProperty(name = "机构ID", notes = "")
    private String orgId;
    /**
     * 状态
     */
    @ApiModelProperty(name = "状态", notes = "")
    private Integer status;
    @ApiModelProperty(name = "创建人", notes = "")
    @TableField(fill = FieldFill.INSERT)
    private String createUser;
    @ApiModelProperty(name = "创建时间", notes = "")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
    @ApiModelProperty(name = "更新人", notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUser;
    @ApiModelProperty(name = "更新时间", notes = "")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateDate;
    @ApiModelProperty(name = "删除标志", notes = "1删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted;
}