package com.lyg.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lyg.common.Constants;
import com.lyg.system.entity.SysRole;
import com.lyg.system.entity.SysUser;
import com.lyg.system.mapper.SysRoleMapper;
import com.lyg.system.service.SysRoleService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 系统角色;(sys_role)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2023-2-5
 */
@Service
public class SysRoleServiceImpl extends BaseServiceImpl<SysRoleMapper, SysRole> implements SysRoleService {

    @Override
    public List<SysRole> getByUser(String userId) {
        if (Constants.ROOT_ID.equals(userId)) {
            QueryWrapper<SysRole> queryWrapper = new QueryWrapper<>();
            queryWrapper.gt("status", Constants.STATUS_DELETE);
            return list(queryWrapper);
        }

        return baseMapper.getByUser(userId);
    }

    @Override
    public IPage<SysRole> getPageBy(IPage<SysRole> pg, SysUser sysUser) {
        return baseMapper.getPageBy(pg, sysUser.getUserId());
    }
}